# esp32_BNO08x: test/FeatureTests.cpp File Reference

Loading...
Searching...
No Matches
FeatureTests.cpp File Reference
`#include "unity.h"`
`#include "../include/BNO08xTestHelper.hpp"`
Include dependency graph for FeatureTests.cpp:

## Functions

| TEST_CASE ("BNO08x Driver Creation for [FeatureTests] Tests", "[FeatureTests]")
| TEST_CASE ("Hard Reset", "[FeatureTests]")
| TEST_CASE ("Soft Reset", "[FeatureTests]")
| TEST_CASE ("Sleep", "[FeatureTests]")
| TEST_CASE ("Get Metadata", "[FeatureTests]")
| TEST_CASE ("Get Sample Counts", "[FeatureTests]")
| TEST_CASE ("Enable Dynamic Calibration", "[FeatureTests]")
| TEST_CASE ("Save Dynamic Calibration", "[FeatureTests]")
| TEST_CASE ("Autosave Dynamic Calibration", "[FeatureTests]")
| TEST_CASE ("Disable Dynamic Calibration", "[FeatureTests]")
| TEST_CASE ("Clear Dynamic Calibration", "[FeatureTests]")
| TEST_CASE ("BNO08x Driver Cleanup for [FeatureTests] Tests", "[FeatureTests]")

## Function Documentation

## TEST_CASE() [1/12]

TEST_CASE | ( | "Autosave Dynamic Calibration" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [2/12]

TEST_CASE | ( | "BNO08x Driver Cleanup for Tests" | [FeatureTests],
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [3/12]

TEST_CASE | ( | "BNO08x Driver Creation for Tests" | [FeatureTests],
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [4/12]

TEST_CASE | ( | "Clear Dynamic Calibration" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [5/12]

TEST_CASE | ( | "Disable Dynamic Calibration" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [6/12]

TEST_CASE | ( | "Enable Dynamic Calibration" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [7/12]

TEST_CASE | ( | "Get Metadata" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [8/12]

TEST_CASE | ( | "Get Sample Counts" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [9/12]

TEST_CASE | ( | "Hard Reset" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [10/12]

TEST_CASE | ( | "Save Dynamic Calibration" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [11/12]

TEST_CASE | ( | "Sleep" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function:

## TEST_CASE() [12/12]

TEST_CASE | ( | "Soft Reset" | ,
|  | "" | [FeatureTests] )

Here is the call graph for this function: